## GladeFixed

GladeFixed — An object wrapper for free-form placement container widgets.

## Properties

gboolean | can-resize | Read / Write / Construct
gchar * | height-prop | Read / Write / Construct
gchar * | width-prop | Read / Write / Construct
gchar * | x-prop | Read / Write / Construct
gchar * | y-prop | Read / Write / Construct

## Signals

gboolean | configure-begin | Run Last
gboolean | configure-child | Run Last
gboolean | configure-end | Run Last

## Types and Values

struct | GladeFixed

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GladeWidget
                ╰── GladeFixed

## Description

GladeFixed is a specialized GladeWidget to handle free-form child placements in containers that support this, it is designed with properties and signals with flexable integration in mind.

If you set the x-prop/y-prop/width-prop/height-prop properties and leave the signals alone, GladeFixed will assume you are like a GtkFixed/GtkLayout widget and will use pixel counts as units for these properties.

If you handle the configure-child/configure-end[/configure-begin] signals and dont let them propagate to the GladeFixed, then the x-prop/y-prop/width-prop/height-prop properties will be completely ignored and it is up to the implementor to play with whatever child packing properties are available to make a closest match for the values passed to configure-child via the GdkRectangle.

## Functions

## Types and Values

### struct GladeFixed

    struct GladeFixed;

## Property Details

### The `“can-resize”` property

      “can-resize”               gboolean

Whether this container supports resizes of child widgets.

Flags: Read / Write / Construct

Default value: TRUE

### The `“height-prop”` property

      “height-prop”              gchar *

The property used to set the height of a child object.

Flags: Read / Write / Construct

Default value: "height-request"

### The `“width-prop”` property

      “width-prop”               gchar *

The property used to set the width of a child object.

Flags: Read / Write / Construct

Default value: "width-request"

### The `“x-prop”` property

      “x-prop”                   gchar *

The property used to set the X position of a child object.

Flags: Read / Write / Construct

Default value: "x"

### The `“y-prop”` property

      “y-prop”                   gchar *

The property used to set the Y position of a child object.

Flags: Read / Write / Construct

Default value: "y"

## Signal Details

### The `“configure-begin”` signal

    gboolean
    user_function (GladeFixed *gladewidget,
                   GObject    *arg1,
                   gpointer    user_data)

Signals the beginning of a Drag/Resize

#### Parameters

gladewidget | the GladeFixed which received the signal. |
arg1 | the child GladeWidget |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` means you have handled the event and cancels the default handler from being triggered.

Flags: Run Last

### The `“configure-child”` signal

    gboolean
    user_function (GladeFixed *gladewidget,
                   GObject    *arg1,
                   gpointer    arg2,
                   gpointer    user_data)

Delegates the Drag/Resize job.

#### Parameters

gladewidget | the GladeFixed which received the signal. |
arg1 | the child GladeWidget |
arg2 | a pointer to a GdkRectange describing the new size. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` means you have handled the event and cancels the default handler from being triggered.

Flags: Run Last

### The `“configure-end”` signal

    gboolean
    user_function (GladeFixed *gladewidget,
                   GObject    *arg1,
                   gpointer    user_data)

Signals the end of a Drag/Resize

#### Parameters

gladewidget | the GladeFixed which received the signal. |
arg1 | the child GladeWidget |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` means you have handled the event and cancels the default handler from being triggered.

Flags: Run Last